Scale (Apache Ant API)
Keywords: org.apache.tools.ant.types.optional.image.Scale,Scale class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.optional.image
Class Scale

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.TransformOperation
                              |
                              +--org.apache.tools.ant.types.optional.image.Scale

All Implemented Interfaces:
  DrawOperation

public class Scale
extends TransformOperation
implements DrawOperation

See Also:
  `Image`

Nested Class Summary
`static class` | `Scale.ProportionsAttribute`

Field Summary

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Scale()`

Method Summary
`javax.media.jai.PlanarImage` | `executeDrawOperation()` Abstract method which is intended to create an image buffer and return it so it can be drawn into another object.
`javax.media.jai.PlanarImage` | `executeTransformOperation(javax.media.jai.PlanarImage image)`
`float` | `getHeight()`
`float` | `getWidth()`
`javax.media.jai.PlanarImage` | `performScale(javax.media.jai.PlanarImage image)`
`void` | `setHeight(java.lang.String height)` Sets the height of the image, either as an integer or a %.
`void` | `setProportions(Scale.ProportionsAttribute pa)` Sets the behaviour regarding the image proportions.
`void` | `setWidth(java.lang.String width)` Sets the width of the image, either as an integer or a %.

Methods inherited from class org.apache.tools.ant.types.optional.image.TransformOperation
`addRectangle`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Scale

    public Scale()

Method Detail

### setProportions

    public void setProportions(Scale.ProportionsAttribute pa)

  Sets the behaviour regarding the image proportions.

### setWidth

    public void setWidth(java.lang.String width)

  Sets the width of the image, either as an integer or a %. Defaults to 100%.

### setHeight

    public void setHeight(java.lang.String height)

  Sets the height of the image, either as an integer or a %. Defaults to 100%.

### getWidth

    public float getWidth()

### getHeight

    public float getHeight()

### performScale

    public javax.media.jai.PlanarImage performScale(javax.media.jai.PlanarImage image)

### executeTransformOperation

    public javax.media.jai.PlanarImage executeTransformOperation(javax.media.jai.PlanarImage image)

  Specified by:
    `executeTransformOperation` in class `TransformOperation`

### executeDrawOperation

    public javax.media.jai.PlanarImage executeDrawOperation()

  Description copied from interface: `DrawOperation`
  Abstract method which is intended to create an image buffer and return it so it can be drawn into another object. Use an Alpha channel for a "transparent" background.

  Specified by:
    `executeDrawOperation` in interface `DrawOperation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.